[03/10] glibc: Enable obsoleted nsl

Message ID 0bb8d53926f0d5d1bfcd47f9462983ca82ea0e17.1499520469.git.raj.khem@gmail.com
State Accepted
Commit e8047c772f49fe5a4a18d54289d98fb2f98a8176
Headers show
Series
  • Glibc 2.26 update and musl updates (rebased)
Related show

Commit Message

Khem Raj July 8, 2017, 1:34 p.m.
libnsl has been obsoleted in 2.26 and will be removed in future
until them we enable it

Signed-off-by: Khem Raj <raj.khem@gmail.com>

---
 meta/recipes-core/glibc/glibc_2.25.90.bb | 1 +
 1 file changed, 1 insertion(+)

-- 
2.13.2

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-core/glibc/glibc_2.25.90.bb b/meta/recipes-core/glibc/glibc_2.25.90.bb
index ed924e9f0d..62ade4afb9 100644
--- a/meta/recipes-core/glibc/glibc_2.25.90.bb
+++ b/meta/recipes-core/glibc/glibc_2.25.90.bb
@@ -75,6 +75,7 @@  EXTRA_OECONF = "--enable-kernel=${OLDEST_KERNEL} \
                 --with-headers=${STAGING_INCDIR} \
                 --without-selinux \
                 --enable-obsolete-rpc \
+                --enable-obsolete-nsl \
                 --enable-tunables \
                 --enable-bind-now \
                 --enable-stack-protector=strong \